%define api		1.7
%define major		0

%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname %{name} -d

%define name_ex_apps	%{name}-example-apps

%define icon_name_calc	%{name}-calculator.png
%define icon_name_adie	%{name}-adie.png

Summary:	The FOX C++ GUI Toolkit
Name:		fox
Version:	1.7.86
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source0:	http://fox-toolkit.org/ftp/%{name}-%{version}.tar.gz
Source1:	fox-shutterbug-16.png
Source2:	fox-shutterbug-32.png
Source3:	fox-shutterbug-48.png
Source10:	%{name}_adie_16.png
Source11:	%{name}_adie_32.png
Source12:	%{name}_adie_48.png
Source20:	%{name}_calc_16.png
Source21:	%{name}_calc_32.png
Source22:	%{name}_calc_48.png
Patch0:		fox-1.7.52-cxxflags.patch
BuildRequires:	pkgconfig(glu)
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	doxygen

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{name_ex_apps}
Summary:	FOX example applications
Group:		Office/Utilities
Requires:	%{libname} >= %{version}

%description -n %{name_ex_apps}
Editor, file browser and calculator, written with FOX

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Group:		System/Libraries
Obsoletes:	%{_lib}fox1.7 < 1.7.67-3

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libnamedev}
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libfox-devel = %version-%release
Provides:	fox%{api}-devel = %version-%release
Provides:	libfox%{api}-devel = %version-%release

%description -n %{libnamedev}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --with-opengl=mesa \
           --disable-static \
           --enable-cups

%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/doc/fox-%{api}/* installed-docs
cp -p pathfinder/PathFinder %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/foxcalculator.desktop << EOF
[Desktop Entry]
Name=FOX Calculator
Comment=Calculator using the FOX toolkit
Exec=%{_bindir}/calculator %U
Icon=%{icon_name_calc}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Math;
EOF
cat > %{buildroot}%{_datadir}/applications/foxadie.desktop << EOF
[Desktop Entry]
Name=FOX Adie
Comment=A.D.I.E. - Advanced Interactive Editor using the FOX toolkit
Exec=%{_bindir}/adie %U
Icon=%{icon_name_adie}
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;Utility;
EOF
cat > %{buildroot}%{_datadir}/applications/shutterbug.desktop << EOF
[Desktop Entry]
Name=FOX Shutterbug
Comment=Takes a screenshot and saves it to a file
Exec=%{_bindir}/shutterbug %U
Icon=shutterbug
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;
EOF

install -D -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{icon_name_adie}

install -m 644 %{SOURCE20} %{buildroot}%{_miconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE21} %{buildroot}%{_iconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE22} %{buildroot}%{_liconsdir}/%{icon_name_calc}

install -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/shutterbug.png
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/shutterbug.png
install -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/shutterbug.png

rm -rf %{buildroot}%{_prefix}/fox

%files -n %{name_ex_apps}
%doc AUTHORS README
%license LICENSE
%{_bindir}/calculator
%{_bindir}/ControlPanel
%{_bindir}/PathFinder
%{_bindir}/adie
%{_bindir}/Adie.stx
%{_bindir}/shutterbug
%{_datadir}/applications/*
%{_miconsdir}/%{icon_name_adie}
%{_iconsdir}/%{icon_name_adie}
%{_liconsdir}/%{icon_name_adie}
%{_miconsdir}/%{icon_name_calc}
%{_iconsdir}/%{icon_name_calc}
%{_liconsdir}/%{icon_name_calc}
%{_miconsdir}/shutterbug.png
%{_iconsdir}/shutterbug.png
%{_liconsdir}/shutterbug.png
%{_mandir}/man1/ControlPanel*
%{_mandir}/man1/PathFinder*
%{_mandir}/man1/adie*
%{_mandir}/man1/calculator*
%{_mandir}/man1/shutterbug.1*

%files -n %{libname}
%doc AUTHORS README
%license LICENSE
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc doc ADDITIONS TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%{_bindir}/fox-config
%dir %{_includedir}/fox-%{api}
%{_includedir}/fox-%{api}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon May 19 2025 daviddavid <daviddavid> 1.7.86-1.mga10
+ Revision: 2184848
- new version: 1.7.86

* Fri Sep 27 2024 daviddavid <daviddavid> 1.7.85-1.mga10
+ Revision: 2101533
- new version: 1.7.85

* Mon Dec 12 2022 ns80 <ns80> 1.7.81-2.mga9
+ Revision: 1921021
- rebuild for new libtiff

* Wed Nov 16 2022 daviddavid <daviddavid> 1.7.81-1.mga9
+ Revision: 1908160
- new version: 1.7.81

* Tue Mar 29 2022 umeabot <umeabot> 1.7.77-2.mga9
+ Revision: 1831564
- Mageia 9 Mass Rebuild

* Fri Apr 23 2021 daviddavid <daviddavid> 1.7.77-1.mga9
+ Revision: 1718035
- new version: 1.7.77

* Thu Mar 04 2021 daviddavid <daviddavid> 1.7.75-1.mga9
+ Revision: 1697894
- new version: 1.7.75

* Sat Aug 29 2020 daviddavid <daviddavid> 1.7.73-1.mga8
+ Revision: 1619497
- new version: 1.7.73

* Thu Jul 16 2020 daviddavid <daviddavid> 1.7.72-1.mga8
+ Revision: 1606599
- new version: 1.7.72

* Wed Jul 08 2020 daviddavid <daviddavid> 1.7.71-1.mga8
+ Revision: 1602896
- new version: 1.7.71

* Wed Jul 01 2020 daviddavid <daviddavid> 1.7.70-1.mga8
+ Revision: 1600871
- new version: 1.7.70

* Thu Apr 30 2020 daviddavid <daviddavid> 1.7.68-1.mga8
+ Revision: 1573511
- new version: 1.7.68
- fix library pkg name

* Sun Feb 16 2020 umeabot <umeabot> 1.7.67-2.mga8
+ Revision: 1531417
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 12 2019 daviddavid <daviddavid> 1.7.67-1.mga8
+ Revision: 1440055
- new version: 1.7.67

* Sun Sep 23 2018 umeabot <umeabot> 1.7.64-3.mga7
+ Revision: 1297750
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 kekepower <kekepower> 1.7.64-2.mga7
+ Revision: 1212910
- Bump rel for a rebuild

* Mon Mar 26 2018 kekepower <kekepower> 1.7.64-1.mga7
+ Revision: 1212711
- Update to version 1.7.64

* Wed Sep 13 2017 cjw <cjw> 1.7.52-3.mga7
+ Revision: 1153388
- patch0: don't clear CXXFLAGS

* Thu Feb 11 2016 umeabot <umeabot> 1.7.52-2.mga6
+ Revision: 953963
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 fwang <fwang> 1.7.52-1.mga6
+ Revision: 871785
- 1.7.52

* Wed Oct 15 2014 umeabot <umeabot> 1.7.46-3.mga5
+ Revision: 741582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.46-2.mga5
+ Revision: 679310
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 fwang <fwang> 1.7.46-1.mga5
+ Revision: 581758
- new version 1.7.46

* Sat Oct 19 2013 umeabot <umeabot> 1.7.36-6.mga4
+ Revision: 525831
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.7.36-5.mga4
+ Revision: 434661
- add more br

* Sun Jun 02 2013 fwang <fwang> 1.7.36-4.mga4
+ Revision: 434655
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.7.36-3.mga3
+ Revision: 352517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 fwang <fwang> 1.7.36-2.mga3
+ Revision: 296552
- rebuild for missing packages

* Sat Sep 08 2012 fwang <fwang> 1.7.36-1.mga3
+ Revision: 289886
- add more br
- update file list
- new version 1.7.36

* Thu Feb 02 2012 malo <malo> 1.7.32-1.mga2
+ Revision: 204154
- update to verison 1.7.32
- fix compilation with fontconfig
- spec clean-up after Mandriva import.
- imported package fox


* Wed May 18 2011 Funda Wang <fwang@mandriva.org> 1.7.26-1mdv2011.0
+ Revision: 676055
- update file list
- there is no config now
- clean spec
- update to new version 1.7.26

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.7.25-2
+ Revision: 640437
- rebuild to obsolete old packages

* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 1.7.25-1
+ Revision: 636289
- update to new version 1.7.25

* Sat Feb 05 2011 Götz Waschk <waschk@mandriva.org> 1.7.23-1
+ Revision: 636201
- update build deps
- update to new version 1.7.23

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.21-3mdv2011.0
+ Revision: 610742
- rebuild

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.7.21-2mdv2010.1
+ Revision: 492244
- rebuild for new libjpeg v8

* Tue Dec 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.21-1mdv2010.1
+ Revision: 479067
- update to new version 1.7.21

* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.20-1mdv2010.0
+ Revision: 418242
- update to new version 1.7.20

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 1.7.19-1mdv2009.1
+ Revision: 351904
- New version 1.7.19

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.7.18-1mdv2009.1
+ Revision: 311757
- fix build deps
- new version
- fix build
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Funda Wang <fwang@mandriva.org> 1.7.13-1mdv2008.1
+ Revision: 116222
- New version 1.7.13
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 1.7.11-1mdv2008.0
+ Revision: 57706
- new version
- new devel name


* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.0
+ Revision: 91604
- Import fox

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.1
- New version 1.7.6

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.0
- new major
- New release 1.7.1

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.6.10-1mdv2007.0
- New release 1.6.10

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.6.9-1
- New release 1.6.9

* Wed Jul 19 2006 Götz Waschk <waschk@mandriva.org> 1.6.8-1mdv2007.0
- New release 1.6.8

* Sat Jun 24 2006 Götz Waschk <waschk@mandriva.org> 1.6.6-2mdv2007.0
- xdg menu

* Fri Jun 16 2006 Götz Waschk <waschk@mandriva.org> 1.6.6-1mdv2007.0
- update file list
- fix buildrequires
- New release 1.6.6

* Thu Apr 20 2006 Götz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- add devel conflict
- New release 1.6.4

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdk
- New release 1.6.1

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- new major
- New release 1.6.0

* Fri Dec 16 2005 Götz Waschk <waschk@mandriva.org> 1.4.27-1mdk
- fix configure call
- New release 1.4.27
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 1.4.24-1mdk
- New release 1.4.24

* Tue Nov 08 2005 Götz Waschk <waschk@mandriva.org> 1.4.22-1mdk
- New release 1.4.22

* Sun Oct 30 2005 Götz Waschk <waschk@mandriva.org> 1.4.21-1mdk
- disable parallel build
- New release 1.4.21

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 1.4.20-1mdk
- New release 1.4.20

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.4.17-2mdk
- fix typo in summary

* Wed Aug 03 2005 Götz Waschk <waschk@mandriva.org> 1.4.17-1mdk
- New release 1.4.17

* Mon Jun 13 2005 Götz Waschk <waschk@mandriva.org> 1.4.16-1mdk
- New release 1.4.16

* Wed Jun 08 2005 Götz Waschk <waschk@mandriva.org> 1.4.15-1mdk
- New release 1.4.15

* Wed Apr 27 2005 Götz Waschk <waschk@mandriva.org> 1.4.12-1mdk
- New release 1.4.12

* Thu Apr 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.11-1mdk
- New release 1.4.11

* Thu Mar 17 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.8-1mdk
- New release 1.4.8

* Thu Mar 10 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.7-1mdk
- New release 1.4.7

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.6-1mdk
- New release 1.4.6

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- update file list
- New release 1.4.4

* Wed Oct 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- New release 1.2.11

* Sat Aug 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- New release 1.2.8

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Mon Jul 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- new version

* Fri Jun 25 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- fix devel provides
- New release 1.2.5

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix installation
- New release 1.2.3

* Thu May 20 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new major
- New release 1.2.1

* Tue May 18 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new major 1.1
- New release 1.2.0

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.53-1mdk
- new major
- new version

* Wed Apr 21 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.52-1mdk
- new major
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.51-1mdk
- new version

* Mon Mar 15 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.49-1mdk
- new version

* Fri Mar 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.47-1mdk
- new version

* Mon Feb 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.46-1mdk
- new version

* Thu Jan 22 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.45-1mdk
- new version

* Mon Jan 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.44-1mdk
- fix file list
- new version

